---
title: "Update Sub-Account"
slug: "update-sub-account"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sub-Account

Put/v1/sub-accounts/{subAccountId}

Update a sub-account by ID.

**Required fields:** `name`, `wasabiAccountEmail`, `password`, `active`

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Path parameterssubAccountIdintegerRequired

Sub-Account ID

Query parametersincludeKeysboolean

Include access and secret keys in response

Body parameters<select class='api-response-data' aria-label='Media type'><option value='259ffc65-2120-4b0f-ade0-02b74e03a331'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='5172ca23-3c8a-4325-b567-fc06f183d4e9'>minimal</option>
<option value='0bf64353-b893-403d-95bf-459a418e2263'>full</option>
</select>minimal

Required fields only

```json
{
  "name": "sample-sub-account-updated",
  "wasabiAccountEmail": "wasabi-wacm-api-updated@gmail.com",
  "password": "NewSecurePass123!",
  "active": "True"
}
```

full

All fields

```json
{
  "name": "sample-sub-account-updated",
  "wasabiAccountEmail": "wasabi-wacm-api-updated@gmail.com",
  "password": "NewSecurePass123!",
  "active": "True",
  "sendPasswordResetToSubAccountEmail": "True",
  "ftpEnabled": "True",
  "resetKeys": "False",
  "trialToPaid": "False",
  "purchasedStorageTB": "2",
  "storageQuotaType": "Hard quota",
  "resetMFA": "False"
}
```

object  namestring    RequiredMin length3Max length100
wasabiAccountEmailstring  (email)    Required
passwordstring    Required
activeboolean    Required
sendPasswordResetToSubAccountEmailboolean    
ftpEnabledboolean    
resetKeysboolean    

Reset API keys

trialToPaidboolean    

Convert trial to paid account

trialQuotaTBnumber    
trialDaysinteger    
purchasedStorageTBnumber    Minimum0
storageQuotaTypestring    Valid values[
  "Soft quota",
  "Hard quota"
]
resetMFAboolean    

Reset/disable MFA for the account

channelAccountIdinteger   | null  
address1string    
address2string    
countrystring    
citystring    
statestring    
zipstring    
mainPhonestring    
billingPhonestring    
contactEmailstring  (email)    
billingEmailstring  (email)    
businessNumberstring    
taxIdstring    
fiscalNumberstring    
vatNumberstring    
websitestring    
ssoEnabledboolean    

Responses200

Successfully updated sub-account

<select class='api-response-data' aria-label='Media type'><option value='49304768-2085-4dc5-9526-bb8d580b3bae'>application/json</option>
</select>

```json
{
  "success": "True",
  "code": "RES-I-0002",
  "message": "Sub-Account has been successfully updated!",
  "data": {
    "id": "54321",
    "name": "sample-sub-account-updated",
    "partnerType": "SUB_ACCOUNT",
    "accountType": "Company",
    "status": "PAID_ACCOUNT",
    "creationDate": "2023-05-20T09:00:00Z",
    "address1": "789 Pine St",
    "city": "Seattle",
    "state": "Washington",
    "country": "United States",
    "zip": "98101",
    "contactEmail": "contact@example.com",
    "billingEmail": "billing@example.com",
    "ssoEnabled": "False",
    "storageQuotaType": "Soft quota",
    "accessKey": "AKIAIOSFODNN7EXAMPLE",
    "secretKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "channelAccountId": "53211",
    "channelAccountName": "Sample Channel Account",
    "controlAccountId": "13337",
    "controlAccountName": "Sample Control Account",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "wasabiAccountNumber": "100123456",
    "wasabiAccountName": "wasabi-wacm-api-updated@gmail.com",
    "sendPasswordResetToSubAccount": "False",
    "ftpEnabled": "True",
    "activeStorage": "0.45",
    "deletedStorage": "0.05",
    "purchasedStorageTB": "2",
    "mfaEnabled": "False"
  }
}
```

Expand Allobject  successboolean    
codestring    
messagestring    
dataobject (SubAccountResponse)  idinteger    
namestring    
partnerTypestring    
accountTypestring    
statusstring    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string    
address2string    
countrystring    
citystring    
statestring    
zipstring    
mainPhonestring    
billingPhonestring    
contactEmailstring    
billingEmailstring    
businessNumberstring    
taxIdstring    
fiscalNumberstring    
vatNumberstring    
websitestring    
ssoEnabledboolean    
storageQuotaTypestring    
accessKeystring    
secretKeystring    
channelAccountIdinteger    
channelAccountNamestring    
channelAccountEmailstring    
controlAccountIdinteger    
controlAccountNamestring    
controlAccountEmailstring    
governanceAccountIdinteger    
governanceAccountNamestring    
wasabiAccountNumberinteger    
wasabiAccountNamestring    
sendPasswordResetToSubAccountboolean    
ftpEnabledboolean    
activeStoragenumber    
deletedStoragenumber    
trialQuotaTBinteger    
trialExpirationstring    
purchasedStorageTBnumber    
mfaEnabledboolean
